//
// Module: 	RAM_16D  
//
// Description: Verilog instantiation template
//		Distributed SelectRAM
//		Dual Port 16 x 1
//		can be used also for RAM16X1D_1
//
// Device: 	Spartan-3 Family 
//-------------------------------------------------------------------------------------------
//
//
// Syntax for Synopsys FPGA Express
// synopsys translate_off

  defparam  

  //RAM initialization ("0" by default) for functional simulation:
  U_RAM16X1D.INIT = 16'h0000; 
// synopsys translate_on	


//Distributed SelectRAM Instantiation
RAM16X1D U_RAM16X1D (  .D(),      // insert input signal 
	               .WE(),     // insert Write Enable signal
	               .WCLK(),   // insert Write Clock signal
	               .A0(),     // insert Address 0 signal port SPO
	               .A1(),     // insert Address 1 signal port SPO
	               .A2(),     // insert Address 2 signal port SPO
	               .A3(),     // insert Address 3 signal port SPO
	               .DPRA0(),  // insert Address 0 signal port DPO
		       .DPRA1(),  // insert Address 1 signal port DPO
 	               .DPRA2(),  // insert Address 2 signal port DPO
	               .DPRA3(),  // insert Address 3 signal port DPO
	               .SPO(),    // insert output signal
	               .DPO()     // insert output signal 
	                );

// synthesis attribute declarations
  /* synopsys attribute 

	INIT "0000"
  */	