//
// Module: 	RAM_64S 
//
// Description: Verilog instantiation template
//		Distributed SelectRAM
//		Single Port 64 x 1
//		can be used also for RAM64X1S_1
//
// Device: 	Spartan-3 Family 
//-------------------------------------------------------------------------------------------
//
//
// Syntax for Synopsys FPGA Express
// synopsys translate_off

  defparam  

  //RAM initialization ("0" by default) for functional simulation:
  U_RAM64X1S.INIT = 64'h0000000000000000;
// synopsys translate_on	


//Distributed SelectRAM Instantiation
RAM64X1S U_RAM64X1S  (  .D(),    //insert input signal
			.WE(),   //insert Write Enable signal
			.WCLK(), //insert Write Clock signal
			.A0(),   //insert Address 0 signal
			.A1(),   //insert Address 1 signal
			.A2(),   //insert Address 2 signal
			.A3(),   //insert Address 3 signal
			.A4(),   //insert Address 4 signal
			.A5(),   //insert Address 5 signal
			.O()     //insert output signal
		      );

// synthesis attribute declarations
  /* synopsys attribute 

	INIT "0000000000000000"
  */	